function ExecuteScript(strId)
{
  switch (strId)
  {
      case "5qEjqH8oLGi":
        Script1();
        break;
      case "5hLVVqDSMDJ":
        Script2();
        break;
      case "5rvMxqBuDQp":
        Script3();
        break;
      case "5h6xXKyhTgQ":
        Script4();
        break;
      case "5wGcKdFchLZ":
        Script5();
        break;
      case "5ZXArJhMgBE":
        Script6();
        break;
      case "6e1IDh6DYgR":
        Script7();
        break;
      case "6E7Nu4pyadT":
        Script8();
        break;
      case "6Z1h5fKGjsq":
        Script9();
        break;
      case "6o9NoSFEHIb":
        Script10();
        break;
      case "5uwzdCVaK7Q":
        Script11();
        break;
      case "64WCkz8fCfm":
        Script12();
        break;
      case "6lkDUDALRHZ":
        Script13();
        break;
      case "6KoC1RbzcAc":
        Script14();
        break;
      case "64dA8IM70vx":
        Script15();
        break;
      case "5awUgYJ9Uv6":
        Script16();
        break;
  }
}

function Script1()
{
  function findLMSAPI(win) {
if (win.hasOwnProperty("GetStudentID")) return win;
else if (win.parent == win) return null;
else return findLMSAPI(win.parent);
}

var player=GetPlayer();
var lmsAPI = findLMSAPI(this);
var sstatus=lmsAPI.GetStatus();
console.log('Status is: '+sstatus);
if(sstatus == 1){
lmsAPI.SetScore(100, 100, 0);
console.log('Your status is passed and your score has been set to 100/100');
}else{
console.log('Status is not passed yet');
};
}

function Script2()
{
  function findLMSAPI(win) {
if (win.hasOwnProperty("GetStudentID")) return win;
else if (win.parent == win) return null;
else return findLMSAPI(win.parent);
}

var player=GetPlayer();
var lmsAPI = findLMSAPI(this);
var sstatus=lmsAPI.GetStatus();
console.log('Status is: '+sstatus);
if(sstatus == 1){
lmsAPI.SetScore(100, 100, 0);
console.log('Your status is passed and your score has been set to 100/100');
}else{
console.log('Status is not passed yet');
};
}

function Script3()
{
  function findLMSAPI(win) {
if (win.hasOwnProperty("GetStudentID")) return win;
else if (win.parent == win) return null;
else return findLMSAPI(win.parent);
}

var player=GetPlayer();
var lmsAPI = findLMSAPI(this);
var sstatus=lmsAPI.GetStatus();
console.log('Status is: '+sstatus);
if(sstatus == 1){
lmsAPI.SetScore(100, 100, 0);
console.log('Your status is passed and your score has been set to 100/100');
}else{
console.log('Status is not passed yet');
};
}

function Script4()
{
  function findLMSAPI(win) {
if (win.hasOwnProperty("GetStudentID")) return win;
else if (win.parent == win) return null;
else return findLMSAPI(win.parent);
}

var player=GetPlayer();
var lmsAPI = findLMSAPI(this);
var sstatus=lmsAPI.GetStatus();
console.log('Status is: '+sstatus);
if(sstatus == 1){
lmsAPI.SetScore(100, 100, 0);
console.log('Your status is passed and your score has been set to 100/100');
}else{
console.log('Status is not passed yet');
};
}

function Script5()
{
  function findLMSAPI(win) {
if (win.hasOwnProperty("GetStudentID")) return win;
else if (win.parent == win) return null;
else return findLMSAPI(win.parent);
}

var player=GetPlayer();
var lmsAPI = findLMSAPI(this);
var sstatus=lmsAPI.GetStatus();
console.log('Status is: '+sstatus);
if(sstatus == 1){
lmsAPI.SetScore(100, 100, 0);
console.log('Your status is passed and your score has been set to 100/100');
}else{
console.log('Status is not passed yet');
};
}

function Script6()
{
  function findLMSAPI(win) {
if (win.hasOwnProperty("GetStudentID")) return win;
else if (win.parent == win) return null;
else return findLMSAPI(win.parent);
}

var player=GetPlayer();
var lmsAPI = findLMSAPI(this);
var sstatus=lmsAPI.GetStatus();
console.log('Status is: '+sstatus);
if(sstatus == 1){
lmsAPI.SetScore(100, 100, 0);
console.log('Your status is passed and your score has been set to 100/100');
}else{
console.log('Status is not passed yet');
};
}

function Script7()
{
  function findLMSAPI(win) {
if (win.hasOwnProperty("GetStudentID")) return win;
else if (win.parent == win) return null;
else return findLMSAPI(win.parent);
}

var player=GetPlayer();
var lmsAPI = findLMSAPI(this);
var sstatus=lmsAPI.GetStatus();
console.log('Status is: '+sstatus);
if(sstatus == 1){
lmsAPI.SetScore(100, 100, 0);
console.log('Your status is passed and your score has been set to 100/100');
}else{
console.log('Status is not passed yet');
};
}

function Script8()
{
  function findLMSAPI(win) {
if (win.hasOwnProperty("GetStudentID")) return win;
else if (win.parent == win) return null;
else return findLMSAPI(win.parent);
}

var player=GetPlayer();
var lmsAPI = findLMSAPI(this);
var sstatus=lmsAPI.GetStatus();
console.log('Status is: '+sstatus);
if(sstatus == 1){
lmsAPI.SetScore(100, 100, 0);
console.log('Your status is passed and your score has been set to 100/100');
}else{
console.log('Status is not passed yet');
};
}

function Script9()
{
  function findLMSAPI(win) {
if (win.hasOwnProperty("GetStudentID")) return win;
else if (win.parent == win) return null;
else return findLMSAPI(win.parent);
}

var player=GetPlayer();
var lmsAPI = findLMSAPI(this);
var sstatus=lmsAPI.GetStatus();
console.log('Status is: '+sstatus);
if(sstatus == 1){
lmsAPI.SetScore(100, 100, 0);
console.log('Your status is passed and your score has been set to 100/100');
}else{
console.log('Status is not passed yet');
};
}

function Script10()
{
  function findLMSAPI(win) {
if (win.hasOwnProperty("GetStudentID")) return win;
else if (win.parent == win) return null;
else return findLMSAPI(win.parent);
}

var player=GetPlayer();
var lmsAPI = findLMSAPI(this);
var sstatus=lmsAPI.GetStatus();
console.log('Status is: '+sstatus);
if(sstatus == 1){
lmsAPI.SetScore(100, 100, 0);
console.log('Your status is passed and your score has been set to 100/100');
}else{
console.log('Status is not passed yet');
};
}

function Script11()
{
  function findLMSAPI(win) {
if (win.hasOwnProperty("GetStudentID")) return win;
else if (win.parent == win) return null;
else return findLMSAPI(win.parent);
}

var player=GetPlayer();
var lmsAPI = findLMSAPI(this);
var sstatus=lmsAPI.GetStatus();
console.log('Status is: '+sstatus);
if(sstatus == 1){
lmsAPI.SetScore(100, 100, 0);
console.log('Your status is passed and your score has been set to 100/100');
}else{
console.log('Status is not passed yet');
};
}

function Script12()
{
  function findLMSAPI(win) {
if (win.hasOwnProperty("GetStudentID")) return win;
else if (win.parent == win) return null;
else return findLMSAPI(win.parent);
}

var player=GetPlayer();
var lmsAPI = findLMSAPI(this);
var sstatus=lmsAPI.GetStatus();
console.log('Status is: '+sstatus);
if(sstatus == 1){
lmsAPI.SetScore(100, 100, 0);
console.log('Your status is passed and your score has been set to 100/100');
}else{
console.log('Status is not passed yet');
};
}

function Script13()
{
  function findLMSAPI(win) {
if (win.hasOwnProperty("GetStudentID")) return win;
else if (win.parent == win) return null;
else return findLMSAPI(win.parent);
}

var player=GetPlayer();
var lmsAPI = findLMSAPI(this);
var sstatus=lmsAPI.GetStatus();
console.log('Status is: '+sstatus);
if(sstatus == 1){
lmsAPI.SetScore(100, 100, 0);
console.log('Your status is passed and your score has been set to 100/100');
}else{
console.log('Status is not passed yet');
};
}

function Script14()
{
  function findLMSAPI(win) {
if (win.hasOwnProperty("GetStudentID")) return win;
else if (win.parent == win) return null;
else return findLMSAPI(win.parent);
}

var player=GetPlayer();
var lmsAPI = findLMSAPI(this);
var sstatus=lmsAPI.GetStatus();
console.log('Status is: '+sstatus);
if(sstatus == 1){
lmsAPI.SetScore(100, 100, 0);
console.log('Your status is passed and your score has been set to 100/100');
}else{
console.log('Status is not passed yet');
};
}

function Script15()
{
  function findLMSAPI(win) {
if (win.hasOwnProperty("GetStudentID")) return win;
else if (win.parent == win) return null;
else return findLMSAPI(win.parent);
}

var player=GetPlayer();
var lmsAPI = findLMSAPI(this);
var sstatus=lmsAPI.GetStatus();
console.log('Status is: '+sstatus);
if(sstatus == 1){
lmsAPI.SetScore(100, 100, 0);
console.log('Your status is passed and your score has been set to 100/100');
}else{
console.log('Status is not passed yet');
};
}

function Script16()
{
  function findLMSAPI(win) {
if (win.hasOwnProperty("GetStudentID")) return win;
else if (win.parent == win) return null;
else return findLMSAPI(win.parent);
}

var player=GetPlayer();
var lmsAPI = findLMSAPI(this);
var sstatus=lmsAPI.GetStatus();
console.log('Status is: '+sstatus);
if(sstatus == 1){
lmsAPI.SetScore(100, 100, 0);
console.log('Your status is passed and your score has been set to 100/100');
}else{
console.log('Status is not passed yet');
};
}

